Subject: bug#72268: 31.0.50; Color emoji rendering

From: Manuel Giraud <[email-masked]>
Date: Wed, 24 Jul 2024 15:48:39 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Wed, 24 Jul 2024 14:58:55 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > That's strange, because AFAIK users on GNU/Linux do report very good
>> > results with Cairo and color Emoji fonts.  Did you try Noto Color
>> > Emoji (which is the default font for Emoji in Emacs)?
>> 
>> Yes.  I think that I'd better try to resolve this issue (w/ a Cairo
>> build) than try to solve it in Xft.
>> 
>> Currently, with a Cairo build, Emoji are displayed with empty boxes (not
>> the boxed hex representation, just empty ones).  'C-u C-x =' says it is
>> "Noto Color Emoji".  I'm using cairo 1.18.0.
>
> Please show what "C-u C-x =" says when point is on one of these Emoji.

Here is what I see:

M-x emacs-build-description:
In GNU Emacs 31.0.50 (build 2, x86_64-unknown-openbsd7.5, cairo version
 1.18.0) of 2024-07-24 built on computer
Repository revision: 135ce96f1efd051c7bdd1a95670465a09502fa55
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101013
System Description: OpenBSD computer 7.5 GENERIC.MP#198 amd64

Configured using:
 'configure CC=egcc CPPFLAGS=-I/usr/local/include
 LDFLAGS=-L/usr/local/lib MAKEINFO=gmakeinfo --prefix=/home/manuel/emacs
 --bindir=/home/manuel/bin --with-x-toolkit=no --with-cairo
 --without-compress-install'
-- 
Manuel Giraud